Bug 1119643 - [RFE] Organization label should not be case sensitive
Summary: [RFE] Organization label should not be case sensitive
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Organizations and Locations
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 08:11 UTC by Ivan Necas
Modified: 2019-09-26 13:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-30 19:24:30 UTC


Attachments (Terms of Use)

Description Ivan Necas 2014-07-15 08:11:16 UTC
Description of problem:

When creating an organization: 'Myorg' with label 'myorg' and then try to register with subscription-manager --org 'Myorg', I get "couldn't find Organization Myorg"

The reason is the search is based on the label, not name. It would help avoid partly this confusion by not making the label case sensitive, as the org name is case insensitive,  I don't see a reason why labels should be.

Comment 1 RHEL Product and Program Management 2014-07-15 08:24:13 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Tom McKay 2015-02-13 20:29:04 UTC
Some logic did exist in the past to check first label, then fallback to name of organization. Labels by definition, though, are case sensitive.

Changing to RFE for more discussion.

Comment 4 Bryan Kearney 2016-07-08 20:42:36 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 6 Bryan Kearney 2017-03-30 19:24:30 UTC
Thank you for your bug report. Given our other priorities, I do not see us addressing this in the next few releases. I am therefore closing this out. If you feel that this is a mistake, please feel free to re-open with additional information. Thank you for your interest in Red Hat Satellite.


Note You need to log in before you can comment on or make changes to this bug.